var firestorm = implement("mk:external/liu_kang_base");

function init(hero) {
    hero.setName("Liu Kang");
    hero.setTier(5);

    hero.setHelmet("Headband");
    hero.setChestplate("item.superhero_armor.piece.jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.shoes");

    hero.addPowers("mk:revenant_liu_kang");
    hero.addAttribute("PUNCH_DAMAGE", 6.6, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.2, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.7, 1);

    firestorm.init(hero);
}